Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005634TestLinkRolespublic2013-04-13 12:542013-05-22 20:59
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.6 (2013 Q1 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005634: User changes Test Project access from public to private, Test Project banishs from Test project view
Description0. fresh install
1. login as admin
2. Create Test Project WITH PUBLIC ACCESS: ALFA,BETA,DELTA
3. Create a NEW ROLE (ONLY TEST PROJECT MANAGEMENT) that has just ONE RIGHT: Test project management
4. Create a user: userA with Global role: ONLY TEST PROJECT MANAGEMENT
5. Logged still as admin, check that there are two test projects.
6. Login as userA
7. Access ALFA and change Access to PRIVATE
8. Now userA can see only BETA => WRONG.
 
Additional InformationSolution A:
when user changes Access TO PRIVATE, he/she has to be added with SPECIFIC ROLE = to his/her GLOBAL ROLE into Test Project DEV CHOICE


Solution B:
Private / Public access is IGNORED if user has GLOBAL RIGHT to manage Test Projects.

Private / Public access is applied for other operations like:
Access to Test Specification.
TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0005637closedfman User CREATES Test Project with access private, Test Project banishs from Test project view 
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-04-13 12:54 fman New Issue
2013-04-13 12:54 fman Status new => assigned
2013-04-13 12:54 fman Assigned To => fman
2013-04-13 12:56 fman Description Updated View Revisions
2013-04-13 12:56 fman Additional Information Updated View Revisions
2013-04-13 13:00 fman Additional Information Updated View Revisions
2013-04-13 13:16 fman Issue cloned: 0005635
2013-04-14 10:13 fman Issue cloned: 0005637
2013-04-14 10:13 fman Relationship added related to 0005637
2013-04-14 10:14 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-04-14 10:14 fman Summary User change Test Project access from public to private, Test Project banishs from Test project view => User changes Test Project access from public to private, Test Project banishs from Test project view
2013-04-14 10:14 fman Additional Information Updated View Revisions
2013-04-14 10:15 fman Status assigned => resolved
2013-04-14 10:15 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-04-14 10:15 fman Resolution open => fixed
2013-04-14 10:16 fman Relationship added child of 0005551
2013-05-22 20:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker